| GET | /RestApi/recycle-bin/items |
|---|
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Namespace Global
Namespace Telerik.Sitefinity.RecycleBin.Services.Dto.Requests
Public Partial Class FindRecycleBinItems
Implements IRecycleBinItemFilter
Public Overridable Property Skip As Integer?
Public Overridable Property Take As Integer?
Public Overridable Property OrderExpression As String
Public Overridable Property TypeName As String Implements IRecycleBinItemFilter.TypeName
Public Overridable Property SearchText As String Implements IRecycleBinItemFilter.SearchText
End Class
End Namespace
End Namespace
VB.NET FindRecycleBinItems DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"providerName":"String","itemTypeName":"String","displayTypeName":"String","itemTitle":"String","status":"String","statusText":"String","itemLanguage":"String","ownerName":"String","dateCreated":"\/Date(-62135596800000-0000)\/","parentTypeName":"String","parentTitlesPath":"String"}]